Subject: Re: bug#66221: 29.1; Animated webp image leaks memory

From: Alan Third <[email-masked]>
Date: Sat, 30 Sep 2023 00:19:17 +0100

On Fri, Sep 29, 2023 at 08:42:34AM -0700, Stefan Kangas wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
> > Feel free to step through clear-image-cache and see what happens
> > there.
> 
> I noticed that `clear-image-cache' won't clear the rest of the image
> cache if we have a non-empty animation_cache.  Is that expected?

"animation_cache" in this context is an image spec to be removed from
the animation cache, not the animation cache itself.

It caught me out too when I was looking at this code the other day.

-- 
Alan Third